<?php 
require_once "../modelos/Diasdecredito.php";

$diasdecredito	  =new Diasdecredito();

$iddiasdecredito 			=isset($_POST["iddiasdecredito"])? limpiarCadena($_POST["iddiasdecredito"]):"";
$nombre               =isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion          =isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$nrodias							=isset($_POST["nrodias"])? limpiarCadena($_POST["nrodias"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($iddiasdecredito)) {
		$rspta=$diasdecredito->insertar($nombre,$descripcion,$nrodias);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$diasdecredito->editar($iddiasdecredito,$nombre,$descripcion,$nrodias);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	
	case 'selectdiasdecredito':
	
		$rspta = $diasdecredito->select();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione los días de crédito';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->iddiasdecredito.'>'.$reg->nombre.'</option>';
		}
	break;
		
	case 'desactivar':
		$rspta=$diasdecredito->desactivar($iddiasdecredito);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$diasdecredito->activar($iddiasdecredito);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$diasdecredito->mostrar($iddiasdecredito);
		echo json_encode($rspta);
		break;

    case 'listar':
		$rspta=$diasdecredito->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->iddiasdecredito.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->iddiasdecredito.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->iddiasdecredito.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->iddiasdecredito.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->descripcion,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>